function setActionVal1(value)
{ 	
	var issError = false;
	var samplItem = [];
	var issError = false;
	var samplItem = [];
	var method = "post";
	var tranId = document.getElementById("tran_id").value;
	var selectedFlight = document.getElementById("flight_code").value;	
	if(selectedFlight != null && selectedFlight != "")
	{			
		var path = '/ibase/webitm/jsp/EmpFlightsave.jsp?flight_code='+selectedFlight+'&tran_id='+tranId ;	
		if( issError == false)
		{			
			post_to_url1(path,method);		
			
		}
	}	
	else
	{	
		alert("Select Flieght Code from pophelp.");
		issError == true;		
	}	
	
}

function post_to_url1(path,method)
{     
	var xmlhttp;
	if (window.XMLHttpRequest) 
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();      
		}     
	else       
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");   
	}  
		xmlhttp.open(method,path,true);  
		xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded'); 
		xmlhttp.onreadystatechange= function () 
		{
			if (xmlhttp.readyState==4)     
			{ if (xmlhttp.status == 200)     
				{  var time = xmlhttp.responseText;     
					 window.close();
				}    
			}  
		}    
		xmlhttp.send(); 
				
} 
		

function openPophelp(id)
{	
	var selectedFlight = document.getElementById("flight_code").value;	
	var url = '/ibase/webitm/jsp/empTravelFlightCode.jsp?flight_code='+selectedFlight;
	var win = window.open( url, '', 'toolbar=no,status=yes,resizable=no,scrollbars=yes,left=100,top=50,width=500,height=406' );
	win.focus();
	
}

function setFlightCode(flightCode)
{
	
	document.getElementById("flight_code").value = flightCode;
}
function setFlightDescr(flightDescr)
{
	
	document.getElementById("flight_code_descr").value = flightDescr;
}
function upperCase(fieldId)
{
var fieldValue = document.getElementById(fieldId).value; 
document.getElementById(fieldId).value = fieldValue.toUpperCase();

}

